MKVINFO(1)

NOM
mkvinfo - Imprimeix la informació quant als elements en els fitxers Matroska(TM)

SINOPSIS

mkvinfo [opcions] {nom_fitxer_origen}

DESCRIPCIÓ

Aquest programa mostra una llista de tots els elements continguts en un fitxer Matroska(TM). La sortida es pot limitar a una llista de pistes en el fitxer incloent informació sobre els còdecs emprats.

-g, --gui
    Inicia la IGU. Aquesta opció només estarà disponible si el «mkvinfo» va ser compilat amb la implementació per a la IGU.

-c, --checksums
    Calcula i mostra la suma de verificació Adler32 per a cada fotograma. Només és d'utilitat per a la depuració.

-s, --summary
    Només mostra un breu resum del que troba o no per a cada element.

-t, --track-info
    Mostra les estadístiques per a cada pista en el mode loquaç. També estableix la loquacitat a 1 si abans era 0.

-x, --hexdump
    Mostra tots els primers 16 bytes de cada fotograma com un bolcat hexadecimal.

-X, --full-hexdump
    Mostra tots els bytes de cada fotograma com un bolcat hexadecimal.

-z, --size
    Mostra la mida de cada element incloent la seva capçalera.

--command-line-charset joc_de_caràcters
    Estableix el joc de caràcters al qual convertir les cadenes donades des de la línia d'ordres. Per omissió serà el joc de caràcters donat per la configuració regional actual del sistema.

--output-charset joc_de_caràcters
    Estableix el joc de caràcters al qual convertir les cadenes donades per la sortida. Per omissió serà el joc de caràcters establert a la configuració regional actual del sistema.

-r, --redirect-output nom_fitxer
    Escriu tots els missatges al fitxer nom_fitxer en lloc de a la consola. Si bé això es pot fer fàcilment amb la redirecció de la sortida, hi ha casos en què cal aquesta opció: quan el terminal reinterpreta la sortida abans d'escriure-la a un fitxer. Es respecta el joc de caràcters establert amb --output-charset.

--ui-language codi
    Força l'ús de les traduccions pel codi d'idioma (p. ex., «de_DE» per a les traduccions en alemany). Tot i que és preferible usar les variables d'entorn LANG, LC_MESSAGES i LC_ALL. Introduint «list» com a codi farà que el mkvinfo(1) ofereixi a la sortida, una llista de les traduccions disponibles.

--debug tema
    Activa la depuració per a una característica específica. Aquesta opció només és útil per als desenvolupadors.

--engage característica
    Activa les característiques experimentals. Es pot sol⋅licitar una llista de les característiques disponibles amb mkvinfo --engage list. Aquestes característiques no estan destinades a ser emprades en situacions normals.

--gui-mode
    Activa el mode IGU. En aquest mode, les línies surten amb un format especial que pot explicar-vos el que està succeint per tal de controlar la IGU. Aquests missatges segueixen el format «#GUI#message». El missatge pot estar seguit per parells clau/valor com a «#GUI#message#key1=value1#key2=value2...». Ni els missatges ni les claus seran traduïts, sempre sortiran en anglès.

    Aquest ajustament no té res a veure amb el paràmetre --gui el qual causa que el mkvinfo mostri la seva pròpia IGU.

-v, --verbose
    Ser més loquaç. Vegeu la secció sobre nivells de loquacitat per a una descripció de quina informació sortirà en cada nivell.

-h, --help
    Mostra la informació d'ús i surt.

-V, --version
    Mostra la informació sobre la versió i surt.

--check-for-updates
    Comprova en línia si hi ha nous llançaments per baixar-los des de l'URL http://mkvtoolnix-releases.bunkus.org/latest-release.xml. Es generaran quatre línies amb l'estil key=valor: l'URL des d'on s'ha obtingut la informació (clau version_check_url), la versió actualment en execució (clau running_version), la versió de l'últim llançament (clau available_version) i l'URL per a la baixada (clau download_url).

    Després el programa sortirà amb un codi de sortida de 0 si no hi ha cap llançament més recent disponible, amb 1 si hi ha disponible una nova versió i amb 2 si s'ha produït un error (p. ex., si no s'ha pogut recuperar la informació sobre l'actualització).

    Aquesta opció només estarà disponible si el programa va ser construït amb la implementació per a «libcurl».

@fitxer_opcions
    Llegeix arguments addicionals per a la línia d'ordres des del fitxer fitxer_opcions. Les línies que tinguin com a primer caràcter un coixinet (#) seran tractades com a comentaris i ignorades. Els espais en blanc al començament i final de la línia seran descartats. Cada línia haurà de contenir exactament una opció.

    Es poden interpretar diversos caràcters com d'escapament, p. ex., si necessiteu que una línia que comença amb un coixinet «#», no sigui interpretada com un comentari. Les regles es descriuen a la secció sobre escapar en el text.

    La línia d'ordres «mkvinfo -v -v entrada.mkv --redirect-output info.txt» es pot convertir en el següent fitxer d'opcions:

        # Ser més loquaç
        -v
        -v
        # Analitza entrada.mkv
        entrada.mkv
        # i escriu la sortida a info.txt
        --redirect-output
        info.txt

NIVELLS DE LOQUACITAT

L'opció -v es pot usar per incrementar el nivell de loquacitat del mkvinfo(1) i imprimir més informació sobre el fitxer actual.

En el nivell 0, el mkvinfo(1) només imprimeix les capçaleres de la pista que troba i els seus tipus. El mkvinfo(1) sortirà tan aviat s'hagin analitzat completament les capçaleres (més tècnic: tan aviat com es trobi el primer clúster). En aquest nivell, la cerca d'entrades de capçalera i els índexs no serà mostrats -encara que es trobin al capdavant de la informació de la pista-.

En el nivell 1, el mkvinfo(1) també imprimirà tots els elements Matroska(TM) trobats en tot el fitxer mentre es realitzava la cerca d'entrades de capçalera i de l'índex. Si està habilitat el mode resum, llavors el mkvinfo(1) també generarà la posició del fotograma.

En el nivell 2, el mkvinfo(1) també imprimeix la cerca de les entrades de capçalera, les entrades de l'índex i la posició en el fitxer en la que s'ha trobat cada element Matroska(TM).

En el nivell 3 i superiors, el mkvinfo(1) imprimirà alguna informació que no està directament relacionada amb l'element Matroska(TM). De la resta d'elements només s'imprimiran dades sobre que s'han trobat. El nivell 3 també afegeix meta informació per tal de facilitar la depuració (llegiu: està indicat per a desenvolupadors). Totes les línies escrites per al nivell 3 estan tancades entre claudàtors per facilitar el filtratge.

CONVERSIÓ PER A FITXERS DE TEXT I JOCS DE CARÀCTERS

Per a un debat en profunditat sobre com manipula la suite MKVToolNix les conversions dels jocs de caràcters, codifica l'entrada/sortida i codifica la línia d'ordres i codifica a la consola, si us plau, vegeu la secció anomenada de la mateixa manera a la pàgina man del mkvmerge(1).

CODIS DE SORTIDA

El mkvinfo(1) sortirà amb un d'aquests tres codis de sortida:

    • 0 -- Aquest codi de sortida significa que l'execució s'ha realitzat correctament.

    • 1 -- En aquest cas, el mkvinfo(1) genera una sortida amb almenys un avís, però continua executant-se. Un avís és prefixat amb el text «Avís:».

    • 2 -- Aquest codi de sortida s'empra després de produir-se un error. El mkvinfo(1) interromprà el procés just després de mostrar el missatge d'error. L'interval dels missatges d'error va des d'arguments incorrectes a la línia d'ordres fins a errors de lectura/escriptura en fitxers malmesos.

CARÀCTERS ESPECIALS D'ESCAPAMENT EN EL TEXT

Hi ha pocs llocs en els quals els caràcters especials en el text puguin o s'hagin d'escapar. Les regles de l'escapament són simples: cada caràcter que necessiti ser escapat serà substituït amb una barra invertida seguida d'un altre caràcter.

Les regles són: « » (un espai) serà «\s», «"» (cometes) serà «\2», «:» serà «\c», «#» serà «\h» i «\» (una única barra invertida) serà «\\».

VARIABLES D'ENTORN

El mkvinfo(1) usa les variables per omissió que es determinen a la configuració regional del sistema (p. ex., LANG i la família LC_*). Variables addicionals:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG i la seva forma abreujada MTX_DEBUG
    El contingut es tractarà com si s'hagués passat l'opció --debug.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE i la seva forma abreujada MTX_ENGAGE
    El contingut es tractarà com si s'hagués passat l'opció --engage.

MKVINFO_OPTIONS, MKVTOOLNIX_OPTIONS i la seva forma abreujada MTX_OPTIONS
    El contingut serà dividit en espais en blanc. Les cadenes parcials resultants seran tractades com si haguessin estat passades com a opcions a la línia d'ordres. Si necessiteu passar caràcters especials (p. ex., espais) llavors els haureu d'escapar (vegeu la secció caràcters especials d'escapament en el text).

VEGEU TAMBÉ

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

The latest version can always be found at the MKVToolNix homepage[1].

AUTOR

Bunkus, Moritz <moritz@bunkus.org>
    Desenvolupador

NOTES

1.  the MKVToolNix homepage
    https://mkvtoolnix.download/